DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# TimerGet

Timing functions

## SYNOPSIS

`#include "dip_timer.h"`

dip_Error dip_TimerGet ( timer )

## FUNCTION

This function get four Timer values elapsed since the last call to `TimerSet`. The elapsed clock time is measured in a low (1 second) resolution, and in a high (microseconds) resolution. However, this latter timer can only produce reliable results within 36 minutes after the first (!) call to `TimerSet` has been made. The other two timer measure the amount of system and user time used by the program since the last call to `TimerSet`.

## ARGUMENTS

Data type | Name | Description
`dip_Timer *` | `timer` | Pointer to a dip_Timer struct

## SEE ALSO

`TimerSet`

DIPlib on-line documentation | Function reference | Global function index